import Route from 'route-parser';
const appRoute = '/:domain(/:page)(/:id)';
export function getRouteParams(pathname) {
  // console.log(pathname, new Route(appRoute).match(pathname));
  return new Route(appRoute).match(pathname);
}
export function buildRoute(spaceId, membershipId, viewId) {
  // console.log(new Route(appRoute).reverse({ spaceId, membershipId, viewId }));
  return new Route(appRoute).reverse({ spaceId, membershipId, viewId });
}
